Best fit to graticules
Status: Open

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 20387
Description

Often when creating maps with grids, one wants the extent of the

map to align with graticules (or as close as possible). In other

words to shrink or expand so that all the latitude and longitude

lines are contained in the map (As shown in image 'A"). At the moment this is achieved by

tweaking the borders of the map, but when this is done the scale changes. So the user has to resize the
maps, then return the scale to what it was,pan the map to fit the corners.

This usually needs to be done several times. An option to expand or shrink

the map to the closest graticules while maintaining scale would be very useful.

One of the reasons to create a "Best Fit" option would remove the undesirable effect

shown in image 'B'.

History

#1 - 2015-02-13 04:24 AM - Roscoe Lawrence

My apologies, this was supposed to be a feature request and not a bug report.

#2 - 2015-02-13 12:53 PM - Nyall Dawson
- Tracker changed from Bug report to Feature request

FYI - 2.8 allows you to control which annotations (lat/long) are shown on each of the map's sides, so that helps avoid the problem down in b.

#3 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No
